<script setup lang="ts">
definePageMeta({
  layout: "blank",
});
const route = useRoute();
const loc = route.query.loc as string;
const { $config } = useNuxtApp();
const mainSpecies = useMainSpecies();
let url: string;

if (mainSpecies === "Tcas") {
  if (!loc) {
    url = `${$config.public.uiPages.genomebrowser}`;
  } else {
    url = `${$config.public.uiPages.genomebrowser}?assembly=Tcas5.2&tracks=tcas5_iBeetle.sorted.gff,tcas5_ncbi.sorted.gff,ib.sorted.gff&tracklist=true&loc=${loc}`;
  }
} else if (!loc) {
  url = `${$config.public.uiPages.genomebrowser}/?config=data%2Fconfig.json`;
} else {
  url = `${$config.public.uiPages.genomebrowser}/?assembly=genomic.fna&tracks=genomic.sorted.gff&tracklist=true&loc=${loc}&config=data%2Fconfig.json`;
}
</script>

<template>
  <iframe
    :src="url"
    width="100%"
    height="100%"
    frameborder="0"
    allowfullscreen
  />
</template>
